MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001460OTB-Packaging[Orfeo Toolbox (OTB)] Generalpublic2017-10-10 10:042017-10-18 09:10
Reportergrizonnetm 
Assigned Togpasero 
PriorityurgentSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSLinuxOS VersionUbuntu 16.04
Summary0001460: Unable to compile OTB 6.2.0 RC1 with superbuild (CURL issue)
DescriptionUnable to build OTB branch release-6.2 with the superbuild. The issue is related to CURL

I've attached the CURL configure log.
Additional InformationMy cmake config (other options with default values):

SET(OTB_USE_QWT ON CACHE BOOL "" FORCE )
SET(OTB_USE_SHARK ON CACHE BOOL "" FORCE )
SET(OTB_USE_MUPARSERX ON CACHE BOOL "" FORCE )
SET(OTB_WRAP_PYTHON ON CACHE BOOL "" FORCE )

option(USE_SYSTEM_SWIG ON CACHE BOOL "" FORCE)
TagsNo tags attached.
Attached Fileslog file icon CURL-configure-err.log [^] (940 bytes) 2017-10-10 10:04

- Relationships

-  Notes
(0004358)
rashadkm (developer)
2017-10-10 10:17

all these are on by default. except glut(osx) libkml(msvc) and mapnik (all)

Can you post your superbuild's cmake cache. IIUC, some thing is dragging system curl and it's not OTB. I am looking at aGDAL issue here..
(0004359)
gpasero (administrator)
2017-10-10 10:49

I don't think so : the error is reported when building CURL, and this happens before GDAL configure.

Can you check if there is something in your install tree that drags system curl? Ideally, the SuperBuild install directory should be cleaned before calling 'make'.
(0004360)
grizonnetm (administrator)
2017-10-10 11:34

I've done my build from scratch with an empty install tree. I tried to grep system curl library path in the build tree but found nothing (apart from the initial system check which found the system curl).
(0004361)
gpasero (administrator)
2017-10-10 11:54

I've reproduced the issue, investigation in progress...
(0004362)
gpasero (administrator)
2017-10-10 16:44

Found it : it is cmake itself that is dragging curl. If you try to build SuperBuild with a standalone CMake binary, you won't have this issue.

It comes from the fact that in SuperBuild, Cmake command is always prefixed by LD_LIBRARY_PATH=SuperBuild_install_dir/lib , so libssl.so becomes visible.

I need to check if we can't avoid this LD_LIBRARY_PATH ...
(0004364)
grizonnetm (administrator)
2017-10-11 08:19

facepalm...

Thanks Guillaume, I think that you've reached the end point of the Superbuild as one fix for this issue would be to compile cmake in the OTB Superbuild :)

// end sacarsm

I know that slicer superbuild include curl and openssl but I don't found if they faced the same issue:

https://github.com/Slicer/Slicer/tree/master/SuperBuild [^]
(0004375)
gpasero (administrator)
2017-10-13 18:19

I have pushed a fix on release-6.2 :
https://git.orfeo-toolbox.org/otb.git/commit/e3aa3f9b25da0de0823aa74a71724c48b9042df2 [^]

We will check on dashboard if it has side effect. Maybe this LD_LIBRARY_PATH was here to handle cases where we mix system and superbuild libs, so I am not 100% sure there won't be any regressions. After this patch, I have compiled a SuperBuild on 3 different platforms and nothing seemed broken.
(0004394)
grizonnetm (administrator)
2017-10-18 08:21

Thanks. I confirm that it solves the issue on ly side. I think we can mark this one as solved.

- Issue History
Date Modified Username Field Change
2017-10-10 10:04 grizonnetm New Issue
2017-10-10 10:04 grizonnetm File Added: CURL-configure-err.log
2017-10-10 10:17 rashadkm Note Added: 0004358
2017-10-10 10:43 gpasero Assigned To => gpasero
2017-10-10 10:43 gpasero Status new => assigned
2017-10-10 10:49 gpasero Note Added: 0004359
2017-10-10 11:34 grizonnetm Note Added: 0004360
2017-10-10 11:54 gpasero Note Added: 0004361
2017-10-10 16:44 gpasero Note Added: 0004362
2017-10-11 08:19 grizonnetm Note Added: 0004364
2017-10-11 09:36 grizonnetm Priority normal => urgent
2017-10-13 18:19 gpasero Note Added: 0004375
2017-10-18 08:21 grizonnetm Note Added: 0004394
2017-10-18 09:05 gpasero Status assigned => resolved
2017-10-18 09:05 gpasero Resolution open => fixed
2017-10-18 09:10 grizonnetm Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker